Loading...
Searching...
No Matches
Opm::VtkVectorFunction< GridView, Mapper > Class Template Reference

Provides a vector-valued function using Dune::FieldVectors as elements. More...

`#include <vtkvectorfunction.hh>`

Inheritance diagram for Opm::VtkVectorFunction< GridView, Mapper >:

## Public Member Functions

| VtkVectorFunction (std::string_view name, const GridView &gridView, const Mapper &mapper, const VectorBuffer &buf, unsigned codim)
std::string | name () const override
int | ncomps () const override
double | evaluate (int mycomp, const Element &e, const Dune::FieldVector< ctype, dim > &xi) const override

## Detailed Description

template<class GridView, class Mapper>
class Opm::VtkVectorFunction< GridView, Mapper >

Provides a vector-valued function using Dune::FieldVectors as elements.

The documentation for this class was generated from the following file:

- opm/models/io/vtkvectorfunction.hh